Skip to main content
`Ctrl`+`K`

# PEPGetOperators

Gets the matrices associated with the polynomial eigensystem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetOperators(PEP pep,PetscInt k,Mat *A)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- k - the index of the requested matrix (starting in 0)

## Output Parameter

- A - the requested matrix

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSolve()`, `PEPSetOperators()`, `PEPGetNumMatrices()`

## Level

intermediate

## Location

src/pep/interface/pepsetup.c

## Examples

src/pep/tutorials/ex40.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages